import acquire


class LeastConfidence(acquire.ConfidenceBased):

    NAME = "least-confidence"

    def score_zs(self, z_unlabelled, z_labelled):
        """Return a tensor of length z_unlabelled that represents each score."""
        v, _ = z_unlabelled.max(dim=1)
        return -v